Drupal 8

Drupal announced fixes for 4 security vulnerabilities

Drupal's security advisory has announced the patches to fix 2 moderate and 2 less critical vulnerabilities in Drupal 7x and 8x versions. One of the moderately critical vulnerability patch is related to DoS loop holes. Its highly recommended to update your Drupal site to respective 7.52 and 8.2.3. Notably Drupal 8.2.3 includes only security patches.

Insights - Acquia Certified Drupal 8 Site Builder

I completed "Acquia Certified Drupal 8 Site Builder" exam with overall score of 76%. Certification focuses mainly on 8 sections covering various aspects of Drupal 8 site building. Certification had 50 question to be answered in 75 Minutes and 68% as a passing mark.

Insights - Acquia Certification for Drupal 8 Foundations

I cleared Acquia Certification for Drupal 8 Foundations with overall score of 75%, not a great score though. Certification focuses mainly on 3 section - Site Building, Frond end Development and Back-end Development. Certification had 40 question to be answered in 1 hours and 65% as a passing mark.

3rd Party PHP Libraries used AS-IS in Drupal 8

Drupal 8 has adapted various 3rd party PHP libraries which are used AS-IS for implementation and most importantly are a part its CORE. Assetic for asset management, Composer for dependency management, Doctrine for Annotation and ORM, EasyRDF for Resource Descriotion Format markups, Guzzle for REST service call and HTTP Client, PHPUnit for unit testing and PSR-3 for Universal logging.